#ifndef __VENDOR_GLOBAL_H__
#define __VENDOR_GLOBAL_H__
#include <utils/logger.h>
#include <utils/macro.h>

#define VENDOR_MAX_PATH_SIZE 256
#define VENDOR_RUN_PATH_ENV  "DAS_CONFIG_DIR"

static inline std::string vendor_env_dir()
{
    ASSERT(getenv(VENDOR_RUN_PATH_ENV) != nullptr);
    return std::string(getenv(VENDOR_RUN_PATH_ENV));
}

const int32_t VENDOR_LOG_STORE_DAYS = 60; // log存储60天
const std::string VENDOR_CONFIG_PATH = vendor_env_dir() + "/config";
const std::string VENDOR_LOG_PATH = vendor_env_dir() + "/log";
const std::string VENDOR_BIN_PATH = vendor_env_dir() + "/bin";
const std::string VENDOR_DB_PATH = vendor_env_dir() + "/data";
const std::string VENDOR_WWW_PATH = vendor_env_dir() + "/WWW";

#endif // __VENDOR_GLOBAL_H__